Redmine - Patch #41420
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 5.1.4

Description

Hello,

first of all, thanks for the great work.
| noticed that in the Italian translation, several sentences were not translated, so | translated them.

| used a simple bash script to reorder the keys based on the en.yml file to simplify the task, | hope it will not be a problem to be able
to insert the file into the project.

| am currently testing it in the Redmine server that | manage.

Thank you.

Associated revisions

Revision 23111 - 2024-10-11 04:22 - Go MAEDA
Italian translation update (#41420).

Patch by Nicola Danese (user:darkfrank_it).
Revision 23112 - 2024-10-11 04:59 - Go MAEDA
Italian translation update for 5.1-stable (#41420).
Patch by Nicola Danese (Nicola Danese).

Revision 23118 - 2024-10-13 00:25 - Go MAEDA

Restore missing too_simple in config/locales/it.yml (#41420).
Revision 23119 - 2024-10-13 00:30 - Go MAEDA

Italian translation update (#41420).

Patch by Nicola Danese (user:darkfrank_it).

Revision 23142 - 2024-10-19 04:20 - Go MAEDA

Italian translation update (#41420).

Patch by Nicola Danese (user:darkfrank_it).

Revision 23143 - 2024-10-19 04:25 - Go MAEDA

Italian translation update for 5.1-stable (#41420).

Patch by Nicola Danese (user:darkfrank_it).

History

#1 - 2024-10-03 13:43 - Nicola Danese

| forgot to mention that the translation is based on the 5.1.3 release.

#2 - 2024-10-04 00:40 - Go MAEDA

- Category changed from 118n to Translations
#3 - 2024-10-11 04:38 - Go MAEDA
- Status changed from New to Resolved

- Assignee set to Go MAEDA

Thank you for your contribution, | have committed the change in r23111.

Since the release of Redmine 5.1 last October, the following strings have been added for the upcoming Redmine 6.0. If possible, could you also
provide the ltalian translations for these to complete the Italian localization?

source:trunk/config/locales/it.yml@23111#L1427

label_option_auto_lang: auto

label_issue_attachment_added: Attachment added
field_estimated_remaining_hours: Estimated remaining time
field_last_activity_date: Last activity
setting_issue_done_ratio_interval: Done ratio options interval
setting_copy_attachments_on_issue_copy: Copy attachments on copy
field_thousands_delimiter: Thousands delimiter
label_involved_principals: Author / Previous assignee

References:

label_option_auto_lang: Patch #39879: Fix hardcoded string on user preferences page
label_issue_attachment_added: Feature #40569: Add an option to send email notification when an attachment is added
field_estimated_remaining_hours: Feature #37862: Estimated time remaining issue query column
field_last_activity_date: Feature #23954: Shows the date of the last activity on Projects administration
setting_issue_done_ratio_interval: Feature #31756: Introduce setting for done ratio options interval
setting_copy_attachments_on_issue_copy: E re #36197: A nfigurabl ing for in hments when

field_thousands_delimiter: Feature #39997: Add an option to render values of Integer- and Float-format custom fields with thousands delimiters
label_involved_principals: Feature #16045: Add "Author / Previous assignee" group to assignee dropdown in issue form

#4 - 2024-10-11 05:00 - Go MAEDA
- Subject changed from Update of the Italian translation to Italian translation update for 5.1-stable

- Target version set to 5.1.4

Updated the translation in 5.1-stable branch in r23112.

#5 - 2024-10-11 14:44 - Nicola Danese
- File it.yml added

| attach here the updated it.yml file.

| took the version from the trunk and moved the keys from the end of the file to align them with the en.yml file.
While doing so | noticed that the too_simple key was missing which | added and translated.

Thank you.

#6 - 2024-10-13 00:32 - Go MAEDA

- Status changed from Resolved to Closed

Committed the additional translation in r23119. Thank you.
The ltalian translation is now 100% completed.

#7 - 2024-10-18 09:38 - Nicola Danese
- File it.yml added
- File it_trunk.yml added

| am very sorry, but there was a mistake in the file that | had to correct.
When | re-checked the file | also translated some sentences that | had missed.

| attach the two new versions, thanks.

#8 - 2024-10-18 09:43 - Go MAEDA

- Status changed from Closed to Reopened
https://www.redmine.org/projects/redmine/repository/svn/revisions/23111
https://www.redmine.org/projects/redmine/repository/svn/revisions/23111/entry/trunk/config/locales/it.yml#L1427
https://www.redmine.org/issues/39879
https://www.redmine.org/issues/40569
https://www.redmine.org/issues/37862
https://www.redmine.org/issues/23954
https://www.redmine.org/issues/31756
https://www.redmine.org/issues/36197
https://www.redmine.org/issues/39997
https://www.redmine.org/issues/16045
https://www.redmine.org/projects/redmine/repository/svn/revisions/23112
https://www.redmine.org/projects/redmine/repository/svn/revisions/23119

#9 - 2024-10-19 04:27 - Go MAEDA

- Status changed from Reopened to Closed

| have committed the additional translations you provided in #note-7. Thank you for your contribution.

Files

it.yml 75.1 KB 2024-10-03 Nicola Danese
it.ymi 74.2 KB 2024-10-11 Nicola Danese
it.yml 75.2 KB 2024-10-18 Nicola Danese
it_trunk.yml 74.3 KB 2024-10-18 Nicola Danese
